# WARNING: This spec file is into SVN, all modification must be add into SVN
%define __libtoolize    /bin/true

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %mdkversion > 200600
%define unstable 0
%else
%define unstable 0 
%endif


%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname kdesdk %lib_major

%define use_enable_final 1

%define disable_visibility 0

##### QTDIR _libdir/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3


Name: 		kdesdk
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Software Development Kit
Version:    3.5.4
Release:    %mkrel 1
Epoch: 		1
License:	GPL

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Source1:	hi16-app-kbugbuster.png


Patch2:		kdelibs-3.2-remove-rpath.patch.bz2

Patch3:		kdesdk-3.3.2-disable-visibility.patch.bz2



Patch6:		kdesdk-3.4.2-fix-kde-bug-102873.patch

Group: 		Graphical desktop/KDE
Packager:	Mandriva Linux KDE Team <kde@mandriva.com>
BuildRoot: 	%_tmppath/%name-%version-%release-root
Obsoletes:	kdesdk3
Provides:	kdesdk3 = %epoch:%version-%release
Requires:	cvs, %lib_name = %epoch:%version-%release
Requires:	automake1.7


%if %mdkversion >= 920
BuildRequires:  db4-devel freetype2-devel
BuildRequires: 	kdelibs-devel >= 3.4.92-1mdk 
BuildRequires:  bzip2-devel 
BuildRequires:  jpeg-devel lcms-devel mng-devel png-devel qt3-devel
BuildRequires:  zlib-devel
%endif

BuildRequires:  autoconf2.5, automake >= 1.7, flex, kdepim-devel, binutils-devel


%if %mdkversion <= 200600
BuildRequires:	libMesaGLU-devel XFree86-devel XFree86-libs
%else
BuildRequires:	mesaglut-devel 
BuildRequires:  libx11-devel 
%endif

%description
Software Development Kit for the K Desktop Environment.


%package -n %lib_name-devel
Summary:        Header files for kdesdk
Group:		Development/KDE and Qt
Requires:	%lib_name = %epoch:%version-%release
Obsoletes:	kdesdk-devel
Provides:	kdesdk-devel =  %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk
Provides:   %lib_name_orig-devel = %epoch:%version-%release


%description -n %lib_name-devel	
This package includes the header files you will need to compile
applications for kdesdk.

%package -n %lib_name
Summary:        Lib files for kdesdk
Group:		Graphical desktop/KDE
Conflicts:	kdesdk <= 3.1.94-13mdk
Conflicts:      %lib_name-kbabel <= 3.3.2-1mdk
 
%description -n %lib_name
Lib files for kdesdk

%package umbrello
Summary:    UML Modeller
Group:      Graphical desktop/KDE
Obsoletes:	umbrello
Provides:	umbrello = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk

%description umbrello
Umbrello UML Modeller is a UML diagramming tool for KDE.


%package cervisia
Summary:    CVS client part
Group:      Graphical desktop/KDE
Obsoletes:	cervisia
Provides:	cervisia = %epoch:%version-%release
Requires:	%lib_name-cervisia = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk
Requires:	cvs

%description cervisia
CVS client part.


%package kcachegrind
Summary:    KCachegrind.
Group:      Graphical desktop/KDE
Provides:	kcachegring = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release
%if %mdkversion <=200600
%ifarch %{ix86}
Requires:	valgrind-plugins
%endif
%else
Requires:	valgrind
%endif
Conflicts:  kdesdk <= 3.1.94-13mdk
%description kcachegrind
KCachegrind is a visualisation tool for the profiling data generated by 
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.


%package kbabel
Summary:    KBabel is a set of tools for editing and managing gettext PO files.
Group:      Graphical desktop/KDE
Provides:	kbabel = %epoch:%version-%release
Requires:	%lib_name-kbabel = %epoch:%version-%release
Requires:	gettext
Conflicts:  kdesdk <= 3.1.94-13mdk

%description kbabel
KBabel is a set of tools for editing and managing gettext PO files. 
Main part is a powerful and comfortable PO file editor which features 
full navigation capabilities, full editing functionality, possibility 
to search for translations in different dictionaries, spell and 
syntax checking, showing diffs and many more. Also included is a 
"Catalog Manager", a file manager view which helps keeping an overview 
of PO files. Last but not least it includes a standalone 
dictionary application as an additional possibility to access KBabel's 
powerful dictionaries. 
KBabel will help you to translate fast and also keep consistent translations.

%package -n %lib_name-kbabel-devel
Summary:    Devel files for KBabel.
Group:      Development/KDE and Qt
Requires:	%lib_name-kbabel = %epoch:%version-%release

%description -n %lib_name-kbabel-devel
Devel files for KBabel.

%package -n %lib_name-kbabel
Summary:    Library files for KBabel.
Group:      Graphical desktop/KDE
Conflicts:  kdesdk <= 3.1.94-13mdk

%description -n %lib_name-kbabel
Library files for KBabel.


%package -n %lib_name-cervisia
Summary:    Library for CVS client part
Group:      Graphical desktop/KDE
Conflicts:  kdesdk <= 3.1.94-13mdk
Provides:   %lib_name_orig-cervisia = %epoch:%version-%release

%description -n %lib_name-cervisia
Library for CVS client part.


%package -n %lib_name-cervisia-devel
Summary:    Devel files for CVS client part
Group:      Development/KDE and Qt
Requires:	%lib_name-cervisia = %epoch:%version-%release
Conflicts:  kdesdk <= 3.1.94-13mdk
Provides:      %{lib_name_orig}-cervisia-devel = %epoch:%version-%release
Provides:      %{name}-cervisia-devel = %epoch:%version-%release

%description -n %lib_name-cervisia-devel
Devel files for CVS client part.



%prep
%setup -q 
%patch2 -p1 -b .fix_remove_rpath
%if %disable_visibility
%patch3 -p1 -b .disable_visibility
%endif

%patch6 -p0 -b .fix_kde_bug_102873

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


#perl -pi -e "s@/usr/lib/(libiberty.a)@%_libdir/\1@g" \
#	configure kmtrace/Makefile.*

# update config.{guess,sub} to know about amd64 targets
%{?__cputoolize: %{__cputoolize}}
%{?__cputoolize: %{__cputoolize} -c kapptemplate/admin}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
		--enable-debug=full \
%else
		--disable-debug \
%endif
			--enable-shared \
%if %use_enable_final			
			--enable-final \
%else
			--disable-final \
%endif
			--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu structure
install -d %buildroot/%_menudir/
# %%_datadir/applnk/Development/
kdedesktop2mdkmenu.pl kdesdk-kbabel "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kbabel.desktop %buildroot/%_menudir/kdesdk-kbabel
kdedesktop2mdkmenu.pl kdesdk-kbabel "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kbabeldict.desktop %buildroot/%_menudir/kdesdk-kbabeldict
kdedesktop2mdkmenu.pl kdesdk-kbabel "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/catalogmanager.desktop %buildroot/%_menudir/kdesdk-catalogmanager
kdedesktop2mdkmenu.pl kdesdk-cervisia "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/cervisia.desktop %buildroot/%_menudir/kdesdk-cervisia
kdedesktop2mdkmenu.pl kdesdk "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kompare.desktop %buildroot/%_menudir/kdesdk-kompare

kdedesktop2mdkmenu.pl kdesdk "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kbugbuster.desktop %buildroot/%_menudir/kdesdk-kbugbuster
kdedesktop2mdkmenu.pl kdesdk-kcachegrind "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kcachegrind.desktop %buildroot/%_menudir/kdesdk-kcachegrind
kdedesktop2mdkmenu.pl kdesdk-umbrello "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/umbrello.desktop %buildroot/%_menudir/kdesdk-umbrello
kdedesktop2mdkmenu.pl kdesdk "More Applications/Development/Tools" %buildroot/%_datadir/applications/kde/kuiviewer.desktop %buildroot/%_menudir/kdesdk-kuiviewer



rm -f %buildroot/%_docdir/HTML/en/kbabel/TODO


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post  kbabel
/sbin/ldconfig
%update_menus

%postun  kbabel
/sbin/ldconfig
%clean_menus

%post  cervisia
/sbin/ldconfig
%update_menus

%postun  cervisia
/sbin/ldconfig
%clean_menus

%post  kcachegrind
/sbin/ldconfig
%update_menus

%postun  kcachegrind
/sbin/ldconfig
%clean_menus

%post  umbrello
/sbin/ldconfig
%update_menus

%postun  umbrello
/sbin/ldconfig
%clean_menus


%post -n %lib_name-cervisia -p /sbin/ldconfig

%postun -n %lib_name-cervisia -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig



%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#

%dir %_docdir/HTML/en/kbugbuster/
%doc %_docdir/HTML/en/kbugbuster/common
%doc %_docdir/HTML/en/kbugbuster/*.bz2
%doc %_docdir/HTML/en/kbugbuster/*.docbook


%_iconsdir/hicolor/128x128/apps/kompare.png
%_iconsdir/hicolor/16x16/apps/kompare.png
%_iconsdir/hicolor/22x22/apps/kompare.png
%_iconsdir/hicolor/32x32/apps/kompare.png
%_iconsdir/hicolor/48x48/apps/kompare.png
%_iconsdir/hicolor/scalable/apps/kompare.svgz


%dir %_docdir/HTML/en/kompare/
%doc %_docdir/HTML/en/kompare/common
%doc %_docdir/HTML/en/kompare/*.bz2
%doc %_docdir/HTML/en/kompare/*.docbook

%_menudir/kdesdk-kbugbuster
%_menudir/kdesdk-kuiviewer
%_menudir/kdesdk-kompare

%_datadir/apps/katepart/syntax/kdesvn-buildrc.xml

%doc %_docdir/HTML/en/kdesvn-build/common
%doc %_docdir/HTML/en/kdesvn-build/index.cache.bz2
%doc %_docdir/HTML/en/kdesvn-build/index.docbook

%_iconsdir/hicolor/128x128/apps/kbugbuster.png
%_iconsdir/hicolor/16x16/apps/kbugbuster.png
%_iconsdir/hicolor/16x16/apps/kuiviewer.png
%_iconsdir/hicolor/22x22/apps/kbugbuster.png
%_iconsdir/hicolor/32x32/apps/kbugbuster.png
%_iconsdir/hicolor/32x32/apps/kuiviewer.png
%_iconsdir/hicolor/48x48/apps/kbugbuster.png
%_iconsdir/hicolor/48x48/apps/kuiviewer.png
%_iconsdir/hicolor/64x64/apps/kbugbuster.png
%_iconsdir/locolor/16x16/apps/kbugbuster.png
%_iconsdir/locolor/16x16/apps/kuiviewer.png
%_iconsdir/locolor/32x32/apps/kbugbuster.png
%_iconsdir/locolor/32x32/apps/kuiviewer.png


#%doc %_mandir/man1/*
%doc %_mandir/man1/cvsblame.1.bz2
%doc %_mandir/man1/cvscheck.1.bz2
%doc %_mandir/man1/cvsversion.1.bz2
%doc %_mandir/man1/includemocs.1.bz2
%doc %_mandir/man1/kde-build.1.bz2
%doc %_mandir/man1/kdesvn-build.1.bz2
%doc %_mandir/man1/noncvslist.1.bz2

#
#
#
%_bindir/kunittest
%_bindir/kunittest_debughelper
%_bindir/kunittestguimodrunner
%_bindir/kunittestmod

%_bindir/colorsvn
%_bindir/create_svnignore
%_bindir/kdesvn-build
%_bindir/kunittest
%_bindir/kunittest_debughelper
%_bindir/kunittestguimodrunner
%_bindir/kunittestmod
%_bindir/nonsvnlist
%_bindir/svn-clean
%_bindir/svn2dist
%_bindir/svnaddcurrentdir
%_bindir/svnbackport
%_bindir/svnchangesince
%_bindir/svnforwardport
%_bindir/svngettags
%_bindir/svnlastchange
%_bindir/svnlastlog
%_bindir/svnrevertlast
%_bindir/svnversions
%_bindir/adddebug
%_bindir/build-progress.sh
%_bindir/cheatmake
%_bindir/create_cvsignore
%_bindir/create_makefile
%_bindir/create_makefiles
%_bindir/cvs-clean
%_bindir/cvs2dist
%_bindir/cvsblame
%_bindir/cvscheck
%_bindir/cvslastchange
%_bindir/cvslastlog
%_bindir/cvsrevertlast
%_bindir/cvsversion
%_bindir/cxxmetric
%_bindir/extend_dmalloc
%_bindir/extractrc
%_bindir/findmissingcrystal
%_bindir/fixkdeincludes
%_bindir/includemocs
%_bindir/kapptemplate
%_bindir/kbugbuster
%_bindir/kde-build
%_bindir/kdedoc
%_bindir/kdekillall
%_bindir/kdelnk2desktop.py
%_bindir/kompare
%_bindir/kuiviewer
%_bindir/licensecheck
%_bindir/makeobj
%_bindir/noncvslist
%_bindir/po2xml
%_bindir/pruneemptydirs
%_bindir/qtdoc
%_bindir/split2po
%_bindir/swappo
%_bindir/transxx
%_bindir/xml2pot
%_bindir/zonetab2pot.py
%_bindir/cvsbackport
%_bindir/dprof2calltree
%_bindir/fixuifiles
%_bindir/hotshot2calltree
%_bindir/kdemangen.pl
%_bindir/memprof2calltree
%_bindir/op2calltree
%_bindir/package_crystalsvg
%_bindir/png2mng.pl
%_bindir/pprof2calltree
%_bindir/cvsforwardport
%_bindir/demangle
%_bindir/kminspector
%_bindir/kmmatch
%_bindir/kmtrace
%_bindir/extractattr
#

%_libdir/kde3/kabcformat_kdeaccounts.la
%_libdir/kde3/kabcformat_kdeaccounts.so
%_libdir/kde3/kfile_cpp.la
%_libdir/kde3/kfile_cpp.so
%_libdir/kde3/kfile_diff.la
%_libdir/kde3/kfile_diff.so
%_libdir/kde3/kfile_ts.la
%_libdir/kde3/kfile_ts.so
%_libdir/kde3/libkomparenavtreepart.la
%_libdir/kde3/libkomparenavtreepart.so
%_libdir/kde3/libkomparepart.la
%_libdir/kde3/libkomparepart.so
%_libdir/kde3/libkuiviewerpart.la
%_libdir/kde3/libkuiviewerpart.so
%_libdir/kde3/quithumbnail.la
%_libdir/kde3/quithumbnail.so


%_libdir/kde3/kcal_bugzilla.la
%_libdir/kde3/kcal_bugzilla.so




%dir %_datadir/services/kresources/
%dir %_datadir/services/kresources/kcal/
%_datadir/services/kresources/kcal/bugzilla.desktop
		 


%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/scheck.themerc

%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.so
%_libdir/kde3/plugins/styles/*.la


#
%_datadir/applications/kde/kbugbuster.desktop
%_datadir/applications/kde/kompare.desktop
%_datadir/applications/kde/kuiviewer.desktop
#
#
%dir %_datadir/apps/kbugbuster/
%_datadir/apps/kbugbuster/*.rc
%dir %_datadir/apps/kbugbuster/pics/
%_datadir/apps/kbugbuster/pics/*.png
#
#
#



%dir %_datadir/apps/kapptemplate/
%_datadir/apps/kapptemplate/*




%dir %_datadir/apps/kuiviewer/
%_datadir/apps/kuiviewer/*.rc

%dir %_datadir/apps/kuiviewerpart/
%_datadir/apps/kuiviewerpart/*.rc

#
%dir %_datadir/apps/kompare/
%_datadir/apps/kompare/*.rc



#
#
#



%_datadir/services/designerthumbnail.desktop
%_datadir/services/kfile_cpp.desktop
%_datadir/services/kfile_diff.desktop
%_datadir/services/kfile_h.desktop
%_datadir/services/kfile_ts.desktop
%_datadir/services/komparenavtreepart.desktop
%_datadir/services/komparepart.desktop
%_datadir/services/kuiviewer_part.desktop

%_datadir/servicetypes/komparenavigationpart.desktop
%_datadir/servicetypes/kompareviewpart.desktop




%_datadir/apps/kmtrace/kde.excludes

%dir %_datadir/apps/kabc/
%dir %_datadir/apps/kabc/formats/
%_datadir/apps/kabc/formats/kdeaccountsplugin.desktop


%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/libkompareinterface.la
%_libdir/libkompareinterface.so.*
%_libdir/libkspy.so.*
%_libdir/libkspy.la


%_libdir/libktrace.la
%_libdir/libktrace.so
%_libdir/libktrace_s.a
%_libdir/libkunittestgui.so.*
%_libdir/libkunittestgui.la

%files -n %lib_name-devel
%defattr(-,root,root,-)
%_includedir/kprofilemethod.h
%_includedir/kspy.h
%_includedir/ktrace.h
%_libdir/libkompareinterface.so
%_libdir/libkspy.so
%_includedir/kunittest/runnergui.h
%_libdir/libkunittestgui.so

%files -n %lib_name-kbabel-devel
%defattr(-,root,root,-)
%dir %_includedir/kbabel/
%_includedir/kbabel/*.h
%_libdir/libkbabelcommon.so
%_libdir/libkbabeldictplugin.so

%files -n %lib_name-kbabel
%defattr(-,root,root,-)
%_libdir/libkbabelcommon.so.*
%_libdir/libkbabelcommon.la
%_libdir/libkbabeldictplugin.la
%_libdir/libkbabeldictplugin.so.*

%_libdir/kde3/kbabel*.so
%_libdir/kde3/kbabel*.la
%_libdir/kde3/kfile_po.so
%_libdir/kde3/kfile_po.la
%_libdir/kde3/pothumbnail.so
%_libdir/kde3/pothumbnail.la

%files kcachegrind
%defattr(-,root,root,-)

%_menudir/kdesdk-kcachegrind

%dir %_docdir/HTML/en/kcachegrind/
%doc %_docdir/HTML/en/kcachegrind/common
%doc %_docdir/HTML/en/kcachegrind/*.bz2
%doc %_docdir/HTML/en/kcachegrind/*.docbook

%_iconsdir/hicolor/32x32/apps/kcachegrind.png
%_iconsdir/hicolor/48x48/apps/kcachegrind.png
%_iconsdir/locolor/16x16/apps/kcachegrind.png
%_iconsdir/locolor/32x32/apps/kcachegrind.png


%_bindir/kcachegrind

%dir %_datadir/apps/kcachegrind/
%_datadir/apps/kcachegrind/tips
%_datadir/apps/kcachegrind/*.rc

%dir %_datadir/apps/kcachegrind/icons/
%dir %_datadir/apps/kcachegrind/icons/hicolor/
%dir %_datadir/apps/kcachegrind/icons/hicolor/16x16/
%dir %_datadir/apps/kcachegrind/icons/hicolor/16x16/actions/
%_datadir/apps/kcachegrind/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kcachegrind/icons/hicolor/22x22/
%dir %_datadir/apps/kcachegrind/icons/hicolor/22x22/actions/
%_datadir/apps/kcachegrind/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kcachegrind/icons/hicolor/32x32/
%dir %_datadir/apps/kcachegrind/icons/hicolor/32x32/actions/
%_datadir/apps/kcachegrind/icons/hicolor/32x32/actions/*.png
#


%_datadir/mimelnk/application/x-kcachegrind.desktop
%_datadir/applications/kde/kcachegrind.desktop


%files kbabel
%defattr(-,root,root,-)
%_bindir/kbabel
%_bindir/kbabeldict
%_bindir/catalogmanager
%_datadir/applications/kde/kbabel.desktop
%_datadir/applications/kde/kbabeldict.desktop
%_datadir/applications/kde/catalogmanager.desktop

%_menudir/kdesdk-kbabel
%_menudir/kdesdk-kbabeldict
%_menudir/kdesdk-catalogmanager


%_iconsdir/hicolor/16x16/apps/catalogmanager.png
%_iconsdir/hicolor/22x22/apps/catalogmanager.png
%_iconsdir/hicolor/32x32/apps/catalogmanager.png
%_iconsdir/hicolor/48x48/apps/catalogmanager.png

%_datadir/apps/kbabel/regexplist.xml
%_datadir/apps/kconf_update/kbabel-difftoproject.upd
%_iconsdir/hicolor/16x16/apps/kbabel.png
%_iconsdir/hicolor/16x16/apps/kbabeldict.png
%_iconsdir/hicolor/32x32/apps/kbabel.png
%_iconsdir/hicolor/32x32/apps/kbabeldict.png
%_iconsdir/hicolor/48x48/apps/kbabel.png
%_iconsdir/hicolor/48x48/apps/kbabeldict.png


%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/kbabel-project.upd
%_datadir/apps/kconf_update/kbabel-projectrename.upd

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/kbabel.kcfg

%dir %_datadir/apps/catalogmanager
%_datadir/apps/catalogmanager/catalogmanagerui.rc

%_datadir/config.kcfg/kbprojectsettings.kcfg

%dir %_docdir/HTML/en/kbabel/
%doc %_docdir/HTML/en/kbabel/common
%doc %_docdir/HTML/en/kbabel/*.docbook
%doc %_docdir/HTML/en/kbabel/*.png
%doc %_docdir/HTML/en/kbabel/*.bz2

%dir %_datadir/apps/
%dir %_datadir/apps/kbabel/
%_datadir/apps/kbabel/*.rc
#
#
%dir %_datadir/apps/kbabel/icons/
%dir %_datadir/apps/kbabel/icons/locolor/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/actions/
%_datadir/apps/kbabel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/locolor/22x22/
%dir %_datadir/apps/kbabel/icons/locolor/22x22/actions/
%_datadir/apps/kbabel/icons/locolor/22x22/actions/*.png

%dir %_datadir/apps/kbabel/icons/locolor/32x32/
%dir %_datadir/apps/kbabel/icons/locolor/32x32/actions/
%_datadir/apps/kbabel/icons/locolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/actions/
%_datadir/apps/kbabel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/actions/
%_datadir/apps/kbabel/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/actions/
%_datadir/apps/kbabel/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/pics/
%_datadir/apps/kbabel/pics/*.png

%_iconsdir/locolor/16x16/apps/kbabel.png
%_iconsdir/locolor/16x16/apps/kbabeldict.png
%_iconsdir/locolor/32x32/apps/kbabel.png
%_iconsdir/locolor/32x32/apps/kbabeldict.png

%_iconsdir/locolor/16x16/apps/catalogmanager.png
%_iconsdir/locolor/32x32/apps/catalogmanager.png

#
%_datadir/services/kbabel_*.desktop
%_datadir/services/po*.desktop
%_datadir/services/dbsea*.desktop
%_datadir/services/kfile_po.desktop
%_datadir/services/tmx*.desktop

%_datadir/servicetypes/kbabel*.desktop



%files cervisia
%defattr(-,root,root,-)
%_bindir/cervisia
%_bindir/cvsaskpass
%_bindir/cvsservice

%_datadir/apps/kconf_update/cervisia-change_repos_list.pl
%_datadir/apps/kconf_update/cervisia-normalize_cvsroot.pl


%_iconsdir/hicolor/16x16/apps/cervisia.png
%_iconsdir/hicolor/22x22/apps/cervisia.png
%_iconsdir/hicolor/32x32/apps/cervisia.png
%_iconsdir/hicolor/48x48/apps/cervisia.png

%_datadir/apps/cervisia/eventsrc

%_menudir/kdesdk-cervisia

%doc %_mandir/man1/cervisia.1.bz2

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/cervisiapart.kcfg

%dir %_datadir/apps/cervisia/
%_datadir/apps/cervisia/*.rc

%_datadir/applications/kde/cervisia.desktop

%dir %_docdir/HTML/en/cervisia/
%doc %_docdir/HTML/en/cervisia/common
%doc %_docdir/HTML/en/cervisia/*.docbook
%doc %_docdir/HTML/en/cervisia/*.png
%doc %_docdir/HTML/en/cervisia/*.bz2

%dir %_datadir/apps/cervisiapart/
%_datadir/apps/cervisiapart/cervisiaui.rc

%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/cervisia.upd  
%_datadir/apps/kconf_update/change_colors.pl  
%_datadir/apps/kconf_update/move_repositories.pl

%_datadir/services/cvsservice.desktop


%_iconsdir/crystalsvg/scalable/actions/vcs_*.svgz
%_iconsdir/crystalsvg/48x48/actions/vcs_*.png
%_iconsdir/crystalsvg/32x32/actions/vcs_*.png
%_iconsdir/crystalsvg/22x22/actions/vcs_*.png
%_iconsdir/crystalsvg/16x16/actions/vcs_*.png

%files -n %lib_name-cervisia
%defattr(-,root,root,-)
%_libdir/libcvsservice.la
%_libdir/libcvsservice.so.*
%_libdir/kde3/libcervisiapart.so
%_libdir/kde3/libcervisiapart.la
%_libdir/kde3/cervisia.la
%_libdir/kde3/cervisia.so
%_libdir/kde3/cvsaskpass.la
%_libdir/kde3/cvsaskpass.so
%_libdir/kde3/cvsservice.la
%_libdir/kde3/cvsservice.so
%_libdir/libkdeinit_cervisia.la
%_libdir/libkdeinit_cervisia.so
%_libdir/libkdeinit_cvsaskpass.la
%_libdir/libkdeinit_cvsaskpass.so
%_libdir/libkdeinit_cvsservice.la
%_libdir/libkdeinit_cvsservice.so

%files -n %lib_name-cervisia-devel
%defattr(-,root,root,-)
%_includedir/repository_stub.h
%_includedir/cvsjob_stub.h
%_includedir/cvsservice_stub.h

%_libdir/libcvsservice.so


%files umbrello
%defattr(-,root,root,-)
%_bindir/umbrello

%_menudir/kdesdk-umbrello
%_datadir/applications/kde/umbrello.desktop

%dir %_docdir/HTML/en/umbrello/
%doc %_docdir/HTML/en/umbrello/common
%doc %_docdir/HTML/en/umbrello/*.bz2
%doc %_docdir/HTML/en/umbrello/*.docbook
%doc %_docdir/HTML/en/umbrello/*.png


%dir %_datadir/apps/umbrello/
%_datadir/apps/umbrello/tips
%_datadir/apps/umbrello/*.rc

%dir %_datadir/apps/umbrello/headings/
%_datadir/apps/umbrello/headings/*



%_iconsdir/crystalsvg/128x128/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_activity.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_class.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_collaboration.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_component.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_deployment.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_sequence.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_state.png
%_iconsdir/crystalsvg/16x16/actions/umbrello_diagram_usecase.png
%_iconsdir/crystalsvg/16x16/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_activity.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_class.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_collaboration.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_component.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_deployment.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_entityrelationship.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_sequence.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_state.png
%_iconsdir/crystalsvg/22x22/actions/umbrello_diagram_usecase.png
%_iconsdir/crystalsvg/22x22/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/32x32/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/48x48/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/64x64/mimetypes/umbrellofile.png
%_iconsdir/crystalsvg/scalable/mimetypes/umbrellofile.svgz
%_iconsdir/hicolor/128x128/apps/umbrello.png
%_iconsdir/hicolor/16x16/apps/umbrello.png
%_iconsdir/hicolor/16x16/mimetypes/umbrellofile.png
%_iconsdir/hicolor/22x22/apps/umbrello.png
%_iconsdir/hicolor/32x32/apps/umbrello.png
%_iconsdir/hicolor/32x32/mimetypes/umbrellofile.png
%_iconsdir/hicolor/48x48/apps/umbrello.png
%_iconsdir/hicolor/64x64/apps/umbrello.png
%_iconsdir/hicolor/scalable/apps/umbrello.svgz


%_datadir/mimelnk/application/x-umbrello.desktop





%dir %_datadir/apps/umbrello/pics/
%_datadir/apps/umbrello/pics/*.png




%changelog
* Wed Aug 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-02 19:13:20 (43045)
- New release (2006/08/02 -3.5.4-mdv)

* Sun Jun 25 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-25 11:52:57 (38022)
--enable-new-ldflags doesn't work on x86_64

* Fri Jun 23 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-23 19:24:22 (37994)
- Rebuild for x86_64

* Fri Jun 16 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-16 13:59:49 (37334)
- Fix with new valgrind

* Sun Jun 04 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-06-04 13:00:50 (31911)
- 3.5.33.5.33.5.3

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Sat May 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-20 14:10:56 (27815)
- Rebuild against new xorg

* Sat May 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-05-06 13:14:20 (26979)
- Rebuild to generate new category

* Fri Apr 14 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-04-14 14:53:35 (26491)
- 3.5.2

* Fri Feb 03 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-03 15:14:20 (1568)
- Fix man page

* Thu Feb 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-02-02 09:53:43 (1552)
- 3.5.1

* Tue Nov 29 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-29 14:31:17 (1213)
- Real kde3.5

* Mon Nov 14 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-14 15:03:23 (1155)
- 3.5.0 (named rc1)

* Fri Nov 04 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-11-04 18:09:11 (1121)
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch

* Wed Oct 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-10-26 21:10:49 (1086)
- We are Mandriva now

* Tue Oct 25 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-10-25 16:50:23 (1065)
- 3.4.92

* Fri Sep 09 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-09-09 09:20:57 (859)
- Rebuild

* Sun Aug 28 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-28 10:00:00 (760)
- Now it's necessary to use --libsuffix

* Fri Aug 26 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-26 16:53:50 (751)
- Add patch from neoclust (without remove xfree bugzilla) fix kde bug #102873

* Tue Aug 02 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-08-02 04:00:21 (500)
- Remove debug
  Add diff

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-07-22 07:03:05 (411)
- 3.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 19:44:54 (123)
- Uploading package ./kdesdk

%changelog
* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Fix requires on automake1.7 for kdeapptemplate (bug found by qa)

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Rebuild with new gcc

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix debug flag
* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Activate visibility same as for ppc
- Add comment to remove patch for kde 3.5 (patch commited into kde head)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Reapply patch4: fix compile on x86_64

* Mon Apr 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Reactivate debug
- Change email
- Use --enable-new-ldflags

* Wed Apr 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.2-11mdk
- fix build on x86_64

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Fix build on x86_64 (can't compile kmtrace and co)

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Disable debug

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Fix menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Disable visibility for ppc

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Requires on valgrind plugins MDK bug #13096

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Use -fvisibility

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Sync with CVS

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Fix conflict

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Requires gettext for kbabel fix MDK kde bug #12156

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- bye-bye %%buildfor

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Sync with kde 3.3 brnach

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Add patch4: fix kbabel mem leak

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch3: fix kompare

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Rebuild for new menu translation table

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Remove debug

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Sync with CVS

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Fix remove rpath

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Add patch1: fix kde bug #83018 
	"Disable 'Diff' button until the dialog appears so the user doesn't
	 accidentilly opens the same diff several times."

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Rebuild with new kdelibs

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Remove patch3 not necessary (break build under MDK10.0)

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Fix build requires

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-7mdk
- Rebuild

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-6mdk
- Rebuild with debug

* Fri May 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Add buildrequires

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- kcachgrind can read also gprof file => change requires on valgrind to 
specific ix86

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Merge Gb amd64 fix (kcachegrind is ix86 specific)

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Fix some rpmlint error

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Thu Apr 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- use mdkverion
- use %%configure

* Wed Mar 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Fix compile under amd64 (patch gb)

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix group

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- cputoolize (patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>) thanks

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix with CVS (umbrello fix)

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Sync with CVS (fix kbabel crash)

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (fix umbrello)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS (fix umbrello)

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distlint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Fix file list

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change version

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Fix requires

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95
- fix epoch

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Fix files list

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS
- Fix conflict

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Sync with CVS

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Add requires

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Split

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Fri Dec 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS
- Split umbrello

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2 from CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix umbrello menu item

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Obsolete/Provides umbrello
- Fix menu

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix spec file

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- port to vfolder

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Sync with CVS

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS

* Thu Oct 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Update from CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Update from CVS

* Sat Sep 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Update from CVS

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- 3.1.92

* Tue Sep 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-3mdk
- Fix spec file

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add support for MDK9.3
- Enable debug

* Thu Sep 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Fix upgrade

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Add patch7: fix export CVS_RSH fix cervisia

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Fix buildrequires

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Fix build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Fix Obsoletes/requires/provides

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix requires

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix BuildRequires

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Remove directory which are owned by other packages

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Fix build on MDK9.1

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Rebuild

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Update code (fix kbabel)

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Tue Jun 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code 

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Update code
- Add patch6 : allow to change shortcut in kbugbuster

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- update code

* Fri Apr 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Fix requires

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- 9.2

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Fix from kde 3.1 fix cerviia
"Make ListBox scrollable but non-interactive."


* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix from kde3.1 fix cervisia
=>" Fix BR #55665 and BR #55663:

Cervisia's options like 'Update Recursively' are now always saved to 
CervisiaPart's configuration file (cervisiapartrc). This fixes the management
of these options in Konqueror"
Fix commitdlg => "The dialog already had a top level layout."

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix cervisia

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Fix cervisai

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix cervisia )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- update code ( fix kbabel )

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code ( fix crashs in kbabel )

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Make rpmlint happy

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch8 : fix save config in kbugbuster

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch6 : fix kbugbuster menu
- Add patch7 : Fix focus in server dialogbox 

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix missing file

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Add requires on cvs for cervisia bug reported by Corsica 

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Regenerate patch1

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch6 : fix kbabel crash

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch5 : fix kapptemplate mem leak

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix spec file

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kbabel

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add SOURCE1 : add hicolor icon for kbugbuster

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Add patch3 : Fix kbugbuster icons

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Obsolete cervisia

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix conflict with lam => rename ktrace.h to kde-ktrace.h

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Rebuild

* Sat May 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix buildrequires

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)
    
* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
